%{!?upstream_version: %global upstream_version %{commit}}
%global commit e3c05aabf5402e416462685f8281487933f8023b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%global service tripleo-common
%global plugin tripleo-common-tempest-plugin
%global module tripleo_common_tempest_plugin

%global common_desc \
This package contains Tempest tests to cover the tripleo project. \
Additionally it provides a plugin to automatically load these tests into \
Tempest.

Name:       python-%{service}-tests-tempest
Version:    0.0.1
Release:    0.2%{?alphatag}%{?dist}
Summary:    Tempest Integration of Tripleo Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0:    http://github.com/openstack/%{plugin}/archive/%{commit}.tar.gz#/%{plugin}-%{shortcommit}.tar.gz

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Requires:   python-pbr >= 3.1.1
Requires:   python-six  >= 1.10.0
Requires:   python-tempest >= 1:18.0.0
Requires:   python-oslo-utils >= 3.33.0
Requires:   python-oslo-config >= 2:5.2.0
Requires:   python-oslo-serialization >= 2.18.0
Requires:   python-openstacksdk
Requires:   python-babel

%description 
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-pbr >= 3.1.1
Requires:   python3-six  >= 1.10.0
Requires:   python3-tempest >= 1:18.0.0
Requires:   python3-oslo-utils >= 3.33.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-openstacksdk
Requires:   python3-babel

%description -n python3-%{service}-tests-tempest
%{common_desc}
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%py2_build

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%files -n python-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python_sitelib}/%{module}
%{python_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info
%endif

%changelog
* Tue Aug 28 2018 Chandan Kumar <chkumar@redhat.com> 0.0.1-0.2.e3c05aabgit
- Update to pre-release 0.0.1 (e3c05aabf5402e416462685f8281487933f8023b)
